Summary:	Audio library used by OpenShot
Name:		libopenshot-audio
Version:	0.1.6
Release:	1
License:	GPL v3+
Group:		Libraries
URL:		http://openshot.org/
Source0:	https://github.com/OpenShot/libopenshot-audio/archive/v%{version}.tar.gz
# Source0-md5:	4e5b78acf7cae3dbcf07107c66f8fab8
BuildRequires:	alsa-lib-devel
BuildRequires:	cmake
BuildRequires:	freetype-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXcursor-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXrandr-devel

%description
OpenShot Audio Library (libopenshot-audio) is an open-source project
powered by JUCE, and enables high-quality audio editing and playback
for libopenshot.

%package devel
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
install -d build

cd build
%cmake ..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/libopenshot-audio.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libopenshot-audio.so.6

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/openshot-audio-test-sound
%{_includedir}/%{name}
%attr(755,root,root) %{_libdir}/libopenshot-audio.so
%{_mandir}/man1/openshot-audio-test-sound.1*
%changelog
* Tue Jul 03 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libopenshot-audio.git;a=log;h=master

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> b4a745e
- up to 0.1.6

* Tue Sep 12 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> bb7ecdd
- up to 0.1.4

* Wed Nov 30 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 7db1829
- add patch

* Wed Nov 30 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> ef75e10
- initial

